Update a sequence
curl --request PATCH \
--url https://api.example.com/v1/sequences/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Relance nouveaux contacts",
"trigger": "conversation_started",
"automationId": "<string>",
"keywords": [
"beta"
],
"matchType": "contains",
"stopOnReply": true,
"steps": [
{
"delayMinutes": 1,
"text": "<string>",
"buttonLabel": "<string>",
"buttonUrl": "<string>"
}
]
}
'import requests
url = "https://api.example.com/v1/sequences/{id}"
payload = {
"name": "Relance nouveaux contacts",
"trigger": "conversation_started",
"automationId": "<string>",
"keywords": ["beta"],
"matchType": "contains",
"stopOnReply": True,
"steps": [
{
"delayMinutes": 1,
"text": "<string>",
"buttonLabel": "<string>",
"buttonUrl": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Relance nouveaux contacts',
trigger: 'conversation_started',
automationId: '<string>',
keywords: ['beta'],
matchType: 'contains',
stopOnReply: true,
steps: [
{
delayMinutes: 1,
text: '<string>',
buttonLabel: '<string>',
buttonUrl: '<string>'
}
]
})
};
fetch('https://api.example.com/v1/sequences/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
campaigns
Update a sequence
PATCH
/
v1
/
sequences
/
{id}
Update a sequence
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Example:
"Relance nouveaux contacts"
story_reply enrols the contact when they reply to one of the account stories — the story lead magnet ("reply BETA and I send you the link"). Narrow it with keywords.
Available options:
conversation_started, comment_automation, story_reply, manual Comment-to-DM automation that enrols people, when trigger is comment_automation.
Keywords that filter entry, when trigger is story_reply. Empty means every story reply enrols. Case- and accent-insensitive.
Example:
["beta"]
How keywords are matched against the reply.
Available options:
contains, exact, any Stop the follow-ups as soon as the contact replies.
Show child attributes
Show child attributes
Available options:
active, paused Response
200 - undefined